serial

## Class SerialException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - serial.SerialException

All Implemented Interfaces:
  java.io.Serializable

    public class SerialException
    extends java.lang.RuntimeException

Created by chzhong on 1/20/16.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SerialException(java.lang.String detailMessage)` Constructs a new `SerialException` with the current stack trace and the specified detail message.
`SerialException(java.lang.String detailMessage, java.lang.Throwable throwable)` Constructs a new `PortNotOpenedException` with the current stack trace, the specified detail message and the specified cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SerialException

    public SerialException(java.lang.String detailMessage)

Constructs a new `SerialException` with the current stack trace and the specified detail message.

Parameters:
  `detailMessage` - the detail message for this exception.

#### SerialException

    public SerialException(java.lang.String detailMessage,
                   java.lang.Throwable throwable)

Constructs a new `PortNotOpenedException` with the current stack trace, the specified detail message and the specified cause.

Parameters:
  `detailMessage` - the detail message for this exception.
  `throwable` -